//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ddraw.h>
#include "ThemeMgr.hpp"
//---------------------------------------------------------------------------
#define WM_ICONMESSAGE WM_USER + 1

class TMainWnd : public TForm
{
__published:   // IDE-managed Components
   TPopupMenu *TrayMenu;
   TMenuItem *TMOptions;
   TMenuItem *TMExit;
   TTimer *Timer;
   TMenuItem *TMResetTimer;
   TMenuItem *N1;
   TMenuItem *N2;
   TMenuItem *TMPause;
   TMenuItem *TMChangeNow;
   TThemeManager *ThemeManager;
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall TMExitClick(TObject *Sender);
   void __fastcall TMOptionsClick(TObject *Sender);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall TimerTimer(TObject *Sender);
   void __fastcall TMResetTimerClick(TObject *Sender);
   void __fastcall TMPauseClick(TObject *Sender);
   void __fastcall TMChangeNowClick(TObject *Sender);
private: // User declarations
   void RandomizeBackground();
   void LoadDirectory(AnsiString path, TStrings *names);
   void SetWallpaper(const char *fname);
   AnsiString PickWallpaper(TStrings *names);
   void DoMultiMon(TStringList *names);
   TColor GetBackgroundColor();
   void ResetTile();
   NOTIFYICONDATA IconData;
   int TimeLeft;
   AnsiString BackgroundFile;
   LPDIRECTDRAW dd;
   IDirectDraw4 *lpDD;
public:  // User declarations
   __fastcall TMainWnd(TComponent* Owner);
   void __fastcall IconMessage(TMessage& Msg);
   BEGIN_MESSAGE_MAP
      VCL_MESSAGE_HANDLER(WM_ICONMESSAGE, TMessage, IconMessage);
   END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TMainWnd *MainWnd;
//---------------------------------------------------------------------------
#endif
