//---------------------------------------------------------------------------

#ifndef OptionsH
#define OptionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

class TOptionsWnd : public TForm
{
__published:   // IDE-managed Components
   TGroupBox *OptionsBox;
   TLabel *Label2;
   TLabel *Label1;
   TUpDown *IntervalUpDown;
   TEdit *Interval;
   TLabel *Remaining;
   TGroupBox *ImageTypes;
   TCheckBox *ITBMP;
   TCheckBox *ITJPEG;
   TRadioGroup *DisplayOrder;
   TLabel *Label6;
   TEdit *TemporaryBitmap;
   TButton *TBPathBrowser;
   TSaveDialog *TBSaveDlg;
   TGroupBox *Backgrounds;
   TCheckBox *BGRDirs;
   TLabel *Label3;
   TButton *BGPathBrowse;
   TLabel *Label4;
   TLabel *Label5;
   TButton *ButtonOK;
   TButton *ButtonCancel;
   TEdit *BGPath;
   TLabel *LWebsite;
   TCheckBox *OMultiMon;
   TRadioButton *DORandom;
   TRadioButton *DOCycled;
   void __fastcall FormShow(TObject *Sender);
   void __fastcall BGPathBrowseClick(TObject *Sender);
   void __fastcall ButtonOKClick(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall TBPathBrowserClick(TObject *Sender);
   void __fastcall LWebsiteClick(TObject *Sender);
private: // User declarations
   void ValidateSettings();
   void LoadSettings();
public:  // User declarations
   __fastcall TOptionsWnd(TComponent* Owner);
   void __fastcall LaunchBrowser(const char *url);
   AnsiString BackgroundPath;
   AnsiString TempBitmap;
   int TimeInterval;
   bool RecurseDirs;
   bool ImageTypeBMP;
   bool ImageTypeJPEG;
   bool OrderRandom;
   bool MultiMon;
};
//---------------------------------------------------------------------------
extern PACKAGE TOptionsWnd *OptionsWnd;
//---------------------------------------------------------------------------
#endif
