//---------------------------------------------------------------------------

#include <vcl.h>
#include <registry.hpp>
//---------------------------------------------------------------------------
class TSafeRegistry : public TRegistry
{
   public:
      __fastcall TSafeRegistry() : TRegistry() {}
      __fastcall ~TSafeRegistry() {}
      bool __fastcall SReadBool(const AnsiString Name, bool Default = false)
      {
         try { return TRegistry::ReadBool(Name); }
         catch (...) { return Default; }
      }
      int __fastcall SReadInteger(const AnsiString Name, int Default = 0)
      {
         try { return TRegistry::ReadInteger(Name); }
         catch (...) { return Default; }
      }
      AnsiString __fastcall SReadString(const AnsiString Name,
                                        const AnsiString Default = "")
      {
         if (!TRegistry::ValueExists(Name)) return Default;
         try { return TRegistry::ReadString(Name); }
         catch (...) { return Default; }
      }
      bool __fastcall SWriteBool(const AnsiString Name, bool Value)
      {
         try { TRegistry::WriteBool(Name, Value); return true; }
         catch (...) { return false; }
      }
      bool __fastcall SWriteExpandString(
         const AnsiString Name, const AnsiString Value)
      {
         try { TRegistry::WriteExpandString(Name, Value); return true; }
         catch (...) { return false; }
      }
      bool __fastcall SWriteInteger(const AnsiString Name, int Value)
      {
         try { TRegistry::WriteInteger(Name, Value); return true; }
         catch (...) { return false; }
      }
      bool __fastcall SWriteString(
         const AnsiString Name, const AnsiString Value)
      {
         try { TRegistry::WriteString(Name, Value); return true; }
         catch (...) { return false; }
      }
};
//---------------------------------------------------------------------------